# eric3.Debugger.VariablesFilterDialog

Module implementing the variables filter dialog.

### Classes

VariablesFilterDialog | Class implementing the variables filter dialog.

### Functions

None

## VariablesFilterDialog

Class implementing the variables filter dialog. It opens a dialog window for the configuration of the variables type filter to be applied during a debugging session.

### Derived from

VariablesFilterForm

### Methods

VariablesFilterDialog | Constructor
getSelection | Public slot to retrieve the current selections.
handleDefault | Private slot to set the selections as the new defaults.
setSelection | Public slot to set the current selection.

### VariablesFilterDialog (Constructor)

VariablesFilterDialog(parent = None, name = None, modal = 0, fl = 0)

Constructor

parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag to indicate a modal dialog (boolean)
fl
  window flags

### VariablesFilterDialog.getSelection

getSelection()

Public slot to retrieve the current selections.

Returns:
  A tuple of lists of integer values. The first list is the locals variables filter, the second the globals variables filter.

### VariablesFilterDialog.handleDefault

handleDefault()

Private slot to set the selections as the new defaults.

### VariablesFilterDialog.setSelection

setSelection(lList, gList)

Public slot to set the current selection.

lList
  local variables filter (list of int)
gList
  global variables filter (list of int)

Up